=== debian/changelog ===
gpxview (0.7.0) unstable; urgency=low

  * Completely "fremantleized"
  * Automatic setup of "Welcome.gpx"
  * Dealing with "position less caches"
	
 -- Till Harbaum <harbaum@metis>  Thu, 25 Jun 2009 20:54:49 +0200
