=== debian/changelog ===
gpxview (0.7.1) unstable; urgency=low

  * Fremantle HildonAppMenu submenues

 -- Till Harbaum <harbaum@metis>  Sun, 05 Jul 2009 19:32:10 +0200
