## gpxview 0.7.2

=== debian/changelog ===
gpxview (0.7.2) unstable; urgency=low

  * Fremantle menu bug fix

 -- Till Harbaum <till@harbaum.org>  Mon, 06 Jul 2009 17:18:16 +0200
