=== data/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 APP = gpxview
-PREFIX = /usr/local
+PREFIX = /usr
 datadir = ${prefix}/share
 
 LANGS = en_GB de_DE
@@ -25,7 +25,7 @@
 		install -m 644 ../help/$${LANG}/*.xml $(DESTDIR)$(PREFIX)/share/osso-help/$${LANG} ;\
 	done
 
-install: install-debian
+install: install-maemo
 	install -d $(DESTDIR)$(PREFIX)/share/$(APP)
 	install -m 644 icons/*.gif icons/*.png $(DESTDIR)$(PREFIX)/share/$(APP)
 	install -m 644 welcome.gpx icons/*.png $(DESTDIR)$(PREFIX)/share/$(APP)
