=== src/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 APP = gpxview
 PREFIX ?= /usr
 EXTRA_OBJS = mm_poi.o dbus.o
-VERSION = $${VERSION_PREFIX}0.7.0$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}0.7.1$${VERSION_SUFFIX}
 
 bindir = ${exec_prefix}/bin
