=== debian/changelog ===
gpxview (0.7.3) unstable; urgency=low

  * Finish translation

 -- Till Harbaum <till@harbaum.org>  Tue, 07 Jul 2009 17:31:26 +0200
