=== debian/changelog ===
gpxview (0.7.4) unstable; urgency=low

  * New solution for fremantle submenues

 -- Till Harbaum <till@harbaum.org>  Fri, 24 Jul 2009 21:08:43 +0200
