## gpxview 0.7.5

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
 
 APP = gpxview
-VERSION = $${VERSION_PREFIX}0.7.1$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}0.7.4$${VERSION_SUFFIX}
 
 all:
 	cd src && make
