=== debian/changelog ===
gpxview (0.7.5) unstable; urgency=low

  * Internal map

 -- Till Harbaum <till@harbaum.org>  Fri, 30 Jul 2009 21:31:33 +0200
