## gpxview 0.7.5-1

=== data/Makefile ===
--- 
+++ 
@@ -2,7 +2,8 @@
 PREFIX = /usr
 datadir = ${prefix}/share
 
-LANGS = en_GB de_DE
+LANGS = en_GB de_DE fi_FI
+LANGS_HELP = en_GB de_DE fi_FI
 
 all:
 
@@ -20,7 +21,7 @@
 	done
 	install -d $(DESTDIR)$(PREFIX)$(datadir)/icons/hicolor/scalable/hildon
 	install -m 644 $(APP).64.png $(DESTDIR)$(PREFIX)$(datadir)/icons/hicolor/scalable/hildon/$(APP).png
-	for LANG in $(LANGS); do \
+	for LANG in $(LANGS_HELP); do \
 		install -d $(DESTDIR)$(PREFIX)/share/osso-help/$${LANG} ;\
 		install -m 644 ../help/$${LANG}/*.xml $(DESTDIR)$(PREFIX)/share/osso-help/$${LANG} ;\
 	done
