=== debian/changelog ===
gpxview (0.7.5-1) unstable; urgency=low

  * Removed osso-gnomevfs-extra install dependency

 -- Till Harbaum <till@harbaum.org>  Fri, 30 Jul 2009 22:58:17 +0200
