=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: gpxview
 Architecture: any
-Depends: osso-gnomevfs-extra, ${shlibs:Depends}
+Depends: ${shlibs:Depends}
 Description: Geocaching viewer
  The GPXView application reads and displays geocaching.com GPX files and serves
  as a geocaching navigation tool.
