=== debian/changelog ===
gpxview (0.8.0) unstable; urgency=low

  * Internal map
  * Removed osso-gnomevfs-extra install dependency
  * Fixed problem with fast double clicks in main lists
	
 -- Till Harbaum <till@harbaum.org>  Fri, 30 Jul 2009 21:31:33 +0200
