=== debian/changelog ===
gpxview (0.8.1) unstable; urgency=low

  * Invalid direction display fix
  * Auto-GPX update (german translation)

 -- Till Harbaum <till@harbaum.org>  Thu, 06 Aug 2009 20:55:43 +0200
