=== src/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 APP = gpxview
 PREFIX ?= /usr
 EXTRA_OBJS =  converter.o osm-gps-map.o map-tool.o mm_poi.o dbus.o
-VERSION = $${VERSION_PREFIX}0.8.1$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}0.8.2$${VERSION_SUFFIX}
 
 bindir = ${exec_prefix}/bin
