=== debian/changelog ===
gpxview (0.8.2) unstable; urgency=low

  * Save/restore position on map

 -- Till Harbaum <till@harbaum.org>  Fri, 07 Aug 2009 19:00:39 +0200
